{% extends '_base.html' %}
{% load static %}
{% load crispy_forms_tags %}

{% block title %} Contracts - View{% endblock title %}

{% block content %}
</div>
</div>
<section class="hero is-link has-text-centered" xmlns="http://www.w3.org/1999/html">
    <div class="hero-body">
        <p class="title">
            {{ contract.first_name }} {{Contract.last_name}} - {{contract.department}}
        </p>
        <p class="subtitle">
            Status - {{contract.status}}
        </p>
    </div>
</section>

<div class="column is-two-thirds is-offset-4">
    <div class="section  is-centered">
        <h1 class="title">Proposed Contract</h1>
        <table class="table">
            <tbody>
                <tr>
                    <th>Name</th>
                    <td>{{contract.first_name}} {{contract.last_name}}</td>
                </tr>
                <tr>
                    <th>Email</th>
                    <td>{{contract.email}}</td>
                </tr>
                <tr>
                    <th>Proposer</th>
                    <td> {{contract.proposer.first_name}} {{contract.proposer.last_name}}</td>
                </tr>
                <tr>
                    <th>Department</th>
                    <td> {{contract.department.name}}</td>
                </tr>
                <tr>
                    <th>Project</th>
                    <td> {{ contract.project.name|wordwrap:30|linebreaks }}</td>
                </tr>
                <tr>
                    <th>Type</th>
                    <td> {{contract.contract_type}}</td>
                </tr>
                <tr>
                    <th>From Date</th>
                    <td> {{contract.from_date}}</td>
                </tr>
                <tr>
                    <th>To Date</th>
                    <td> {{contract.to_date}}</td>
                </tr>
                <tr>
                    <th>Budget</th>
                    <td> {{contract.budget}} {{contract.currency}}</td>
                </tr>
            </tbody>
        </table>
        <form action="{% url 'contracts_edit' con_id=contract.id %}" method="POST">
            {% csrf_token%}
            {% if not contract.contract_type %}
            {{ contract_type_form|crispy }}
            <button type="submit" class="button is-link"> Set Contract Type </button>
            {% endif %}
            {% if contract.status == "Acknowledged" %}
            <button type="submit" class="button is-link" disabled>
                Acknowledged</button>
            {% else %}
            <button type="submit" class="button is-link" name="status" value="Acknowledged"> Acknowledge </button>
            {% endif %}
        </form>
        {% if error.error %}
        <h3> {{error.error}}</h3>
        {% endif %}
    </div>
</div>

{% endblock %}